if not DotIt then
	error("DotIt has to be loaded first")
end
DotIt.Spells = {}
local newList, del, deepDel, deepCopy = DotIt.sb:GetRecyclingFunctions()
local spells = DotIt:NewModule("spells")

function spells:OnInitialize()

end
function spells:insertSpells(struct, name)
	DotIt.Spells[name] = struct
end
-- returns the duration of a debuff (only YOUR debuffs)
function spells:GMTD(id)
	local name = GetSpellInfo(id)
	local dur, mine = select(7, UnitDebuff("target", name))
	if select(4, GetBuildInfo()) > 30000 then
		mine = mine == "player"
	end
	if not dur then
		dur = 0 
	else 
		dur = dur-GetTime() 
	end 
	if not mine then
		dur = 0 
	end
	return dur
end
-- returns the duration of a debuff (also ones not from you!)
function spells:GTD(id)
	local name = GetSpellInfo(id)
	local bname, rank, icon, count, debuffType, duration, expirationTime, isMine, dur
	dur = 0
	for i = 1, 40 do 
		bname, rank, icon, count, debuffType, duration, expirationTime, isMine = UnitDebuff("target", name)
		if isMine and bname == name then
			dur = expirationTime - GetTime()
		end
	end
	return dur
end
-- get player buffs
function spells:GPB(id)
	local name = GetSpellInfo(id)
	local dur = select(7, UnitBuff("player", name))
	if not dur then
		dur = 0
	else 
		dur = dur-GetTime() 
	end
	return dur
end