local sp = DotIt:GetModule("spells")
local warrior = { Dots = {
    
            -- Rend
            [6546] = [[return DotIt.sp:GMTD(6546)]],
            [6547] = [[return DotIt.sp:GMTD(6547)]],
            [6548] = 6547,
            [11572] = 6547,
            [11573] = 6547,
            [11574] = 6547,
            [25208] = 6547,
            [46845] = 6547,
            [47465] = 6547,
            [772] = [[return DotIt.sp:GMTD(772)]],
            -- deep wounds
            [12162] = [[return 6]],
            [12850] = 12162,
            [12868] = 12162,
        },
        SharedDebuffs = {
            -- sunder armor
            [7405] = 7386,
            [8380] = 7386,
            [11596] = 7386,
            [11597] = 7386,
            [25225] = 7386,
            [47467] = 7386,
            [7386] = [[return 15, 5]],
        },
        Debuffs = {
            -- trauma
            [46856] = [[return DotIt.sp:GMTD(46856)]],
            [46857] = 46856,
            -- piercing howl
            [12323] = [[return 6]],
            -- gag order (silenced - gag order)
            [18498] = [[return DotIt.sp:GMTD(18498)]],
            -- furious attacks
            [56112] = [[return DotIt.sp:GMTD(56112), 2]],
            -- mortal strike
            [12294] = [[return DotIt.sp:GMTD(12294)]],
            [21551] = 12294,
            [21552] = 12294,
            [21553] = 12294,
            [25248] = 12294,
            [30330] = 12294,
            [47485] = 12294,
            [47486] = 12294,
            -- intercept stun
            [20253] = [[return DotIt.sp:GMTD(20253)]],
            -- challenging shout
            [1161] = [[return 6]],
            -- disarm
            [676] = [[return DotIt.sp:GMTD(676)]],
            -- mocking blow
            [694] = [[return DotIt.sp:GMTD(694)]],
            -- shield bash (dazed)
            [29703] = [[return DotIt.sp:GMTD(29703)]],
            -- taunt
            [355] = [[return DotIt.sp:GMTD(355)]],
            -- hamstring
            [1715] = [[return DotIt.sp:GMTD(1715)]],
            -- charge stun
            [7922] = [[return DotIt.sp:GMTD(7922)]],
            -- demoralizing shout
            [6190] = 1160,
            [11554] = 1160,
            [11555] = 1160,
            [11556] = 1160,
            [25202] = 1160,
            [25203] = 1160,
            [47437] = 1160,
            [1160] = [[return 30]],
            -- thunder clap
            [8198] = 6343,
            [8204] = 6343,
            [8205] = 6343,
            [11580] = 6343,
            [11581] = 6343,
            [25264] = 6343,
            [47501] = 6343,
            [47502] = 6343,
            [6343] = [[return 10]],
            --
        },
        Shortbuffs = {
            -- taste for blood
            [60503] = [[return DotIt.sp:GPB(60503)]],
            -- sword and board
            [50227] = [[return DotIt.sp:GPB(50227)]],
            -- second wind
            [29834] = [[return DotIt.sp:GPB(29834)]],
            [29838] = 29834,
            -- rampage
            [30029] = [[return DotIt.sp:GPB(30029)]],
            -- last stand
            [12975] = [[return DotIt.sp:GPB(12975)]],
            -- improved defensive stance (enrage)
            [57514] = [[return DotIt.sp:GPB(57514)]],
            [57516] = 57514,
            -- flurry
            [12966] = [[return DotIt.sp:GPB(12966)]],
            [12967] = 12966,
            [12968] = 12966,
            [12969] = 12966,
            [12970] = 12966,
            -- enrage
            [12880] = [[return DotIt.sp:GPB(12880)]],
            [14201] = 12880,
            [14203] = 12880,
            [14202] = 12880,
            [14204] = 12880,
            -- death whish
            [12292] = [[return DotIt.sp:GPB(12292)]],
            -- bloodsurge (slam!)
            [46916] = [[return DotIt.sp:GPB(46916)]],
            -- blood craze
            [16488] = [[return DotIt.sp:GPB(16488)]],
            [16490] = 16488,
            [16491] = 16488,
            -- bladestorm
            [46924] = [[return DotIt.sp:GPB(46924)]],
            -- enraged regeneration
            [55694] = [[return DotIt.sp:GPB(55694)]],
            -- intervene
            [3411] = [[return DotIt.sp:GPB(3411)]],
            -- commanding shout
            [469] = [[return DotIt.sp:GPB(469)]],
            [47439] = 469,
            [47440] = 469,
            -- spell reflect
            [23920] = [[return DotIt.sp:GPB(23920)]],
            -- recklessness
            [1719] = [[return DotIt.sp:GPB(1719)]],
            -- berserker rage
            [18499] = [[return DotIt.sp:GPB(18499)]],
            -- shield wall
            [871] = [[return DotIt.sp:GPB(871)]],
            -- retaliation
            [20230] = [[return DotIt.sp:GPB(20230)]],
            -- shield block
            [2565] = [[return DotIt.sp:GPB(2565)]],
            -- bloodrage
            [29131] = [[return DotIt.sp:GPB(29131)]],
            -- battle shout
            [6673] = [[return DotIt.sp:GPB(6673)]],
            [5242] = 6673,
            [6192] = 6673,
            [11549] = 6673,
            [11550] = 6673,
            [11551] = 6673,
            [25289] = 6673,
            [2048] = 6673,
            [47436] = 6673,
        },
        Cooldowns = {
            -- bloodrage
            [2687] = 100,
            -- taunt
            [355] = 100,
            -- overpower
            [7384] = 100,
            -- shield bash
            [72] = 100,
            -- revenge
            [6572] = 100,
            -- mocking blow
            [694] = 100,
            -- shield block
            [2565] = 100,
            -- disarm
            [676] = 100,
            -- retaliation
            [20230] = 100,
            -- intimidating shout
            [5246] = 100,
            -- challenging shout
            [1161] = 100,
            -- shield wall
            [871] = 100,
            -- intercept
            [20252] = 100,
            -- berserker rage
            [18499] = 100,
            -- whirlwind
            [1680] = 100,
            -- pummel
            [6552] = 100,
            -- shield slam
            [23922] = 100,
            -- recklessness
            [1719] = 100,
            -- mortal strike
            [12294] = 100,
            -- spell reflect
            [23920] = 100,
            -- intervene
            [3411] = 100,
            -- enraged regeneration
            [55694] = 100,
            -- heroic throw
            [57755] = 100,
            -- bladestorm
            [46924] = 100,
            -- bloodthirst
            [23881] = 100,
            -- concussion blow
            [12809] = 100,
            -- death wish
            [12292] = 100,
            -- heroic fury
            [60970] = 100,
            -- last stand
            [12975] = 100,
            -- shockwave
            [46968] = 100,
            -- sweeping strikes
            [12328] = 100,
            -- charge
            [100] = [[return 0]],
            
        },
        CCs = {
            -- shockwave
            [46968] = [[return 4]],
            -- improved hamstring
            [23694] = [[return DotIt.sp:GMTD(23694)]],
            -- intimidating shout
            [20511] = [[return 8]],
        }
}
sp:insertSpells(warrior, "WARRIOR")